Subject: Re: [PATCH ethtool-next] rxclass: Make output for RSS context action explicit

From: Jakub Kicinski <[email-masked]>
Date: Wed, 13 Nov 2024 16:46:35 -0800

On Wed, 13 Nov 2024 03:30:05 +0000 Edward Cree wrote:
> On 12/11/2024 15:24, Jakub Kicinski wrote:
> > Hm, interesting idea...
> > Practically speaking I think it introduces complexity and I'm not sure
> > anyone will actually benefit (IOW why would anyone want to keep /
> > create context for inactive queues?).  
> 
> Conceivably to save re-configuring them next time they increase the
>  queues again?  But I suppose anyone doing that kind of complicated
>  demand-flexible tuning will be using some kind of userland software
>  that can automate that.
> Anyway I don't have a dog in this fight as sfc doesn't support ethtool
>  set-channels.  (Which will make it difficult for me to test this; had
>  I better extend netdevsim to support RSS & rxnfc?)

Good question on the netdevsim. Adding the callbacks seems fine.
But making it actually do RSS and nfc on packets to make the HW tests
pass would be more of a lift. So I think you'd have to add a separate
test under drivers/net/netdevsim for this. Is that your thinking?